<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
	</PropertyGroup>

  <ItemGroup>
    <Compile Remove="logs\**" />
    <Content Remove="logs\**" />
    <EmbeddedResource Remove="logs\**" />
    <None Remove="logs\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="C:\Users\Dai Zan\.nuget\packages\volo.abp.aspnetcore.serilog\8.3.3\contentFiles\any\net8.0\Volo.Abp.AspNetCore.Serilog.abppkg.analyze.json" />
    <Content Remove="C:\Users\Dai Zan\.nuget\packages\volo.abp.aspnetcore\8.3.3\contentFiles\any\net8.0\Volo.Abp.AspNetCore.abppkg.analyze.json" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Plugins\ignore.txt" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AspNetCore.HealthChecks.Kafka" />
    <PackageReference Include="AspNetCore.HealthChecks.Redis" />
    <PackageReference Include="AspNetCore.HealthChecks.UI" />
    <PackageReference Include="AspNetCore.HealthChecks.UI.Client"  />
    <PackageReference Include="AspNetCore.HealthChecks.UI.InMemory.Storage"  />

    <PackageReference Include="Hangfire.Redis.StackExchange" />
    <PackageReference Include="Microsoft.AspNetCore.DataProtection.StackExchangeRedis"/>
    <PackageReference Include="Serilog" />
    <PackageReference Include="Serilog.AspNetCore"/>
    <PackageReference Include="Serilog.Exceptions" />
    <PackageReference Include="Serilog.Extensions.Logging" />
    <PackageReference Include="Serilog.Settings.Configuration"  />
    <PackageReference Include="Serilog.Sinks.Async" />
    <PackageReference Include="Serilog.Sinks.Console" />
    <PackageReference Include="Serilog.Sinks.File" />
    <PackageReference Include="Swashbuckle.AspNetCore"  />
    <PackageReference Include="Swashbuckle.AspNetCore.Annotations" />
    <PackageReference Include="Volo.Abp.AspNetCore" />
    <PackageReference Include="Volo.Abp.AspNetCore.Authentication.JwtBearer"  />
    <PackageReference Include="Volo.Abp.AspNetCore.Serilog"  />
    <PackageReference Include="Volo.Abp.Autofac"  />
		<PackageReference Include="Volo.Abp.Ddd.Domain.Shared"  />
		<PackageReference Include="Volo.Abp.Caching.StackExchangeRedis"  />
    <PackageReference Include="Volo.Abp.Swashbuckle" /> 
  </ItemGroup>

  <ItemGroup>
    <Page Include="Plugins\ignore.txt" />
  </ItemGroup>

  <ItemGroup> 
    <ProjectReference Include="..\..\services\JiShe.CollectBus.Application.Contracts\JiShe.CollectBus.Application.Contracts.csproj" />
    <ProjectReference Include="..\..\services\JiShe.CollectBus.Application\JiShe.CollectBus.Application.csproj" /> 
    <ProjectReference Include="..\JiShe.CollectBus.HttpApi\JiShe.CollectBus.HttpApi.csproj" /> 
	</ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Update="Plugins\JiShe.CollectBus.Protocol.T1882018.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Plugins\JiShe.CollectBus.Protocol.T37612012.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Plugins\JiShe.CollectBus.Protocol.T6452007.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>